<template>
  <div class="custom-panel-div">
    <v-col>
      <v-row>
        <h1 style="font-size: 18px;letter-spacing: -0.025em;color: #00468A;">
          Kullanıcı İşlemleri> Yetki İşlemleri
        </h1>
      </v-row>
      <v-row>
        <h2 style="font-size: 14px;color: #5A5A5A;">Kullanıcı > Yetki >
          Filtreleme - Listeleme - Ekleme</h2>
      </v-row>
    </v-col>

    <v-expansion-panels v-model="panel" :disabled="disabled" multiple>
      <custom-expansion-panel :items="items" />
    </v-expansion-panels>

    <div v-show="false">
      <RoleList />
      <RoleAdd />
      <RoleFilter />
    </div>
  </div>
</template>
<script>
import CustomExpansionPanel from '@/components/custom-controller/CustomExpansionPanel.vue';
import RoleList from '@/views/user/components/role/RoleList.vue';
import RoleAdd from '@/views/user/components/role/RoleAdd.vue';
import RoleFilter from '@/views/user/components/role/RoleFilter.vue';
import {ref} from 'vue'

export default {
  components: {
    CustomExpansionPanel,
    RoleList,
    RoleAdd,
    RoleFilter,
  },
  setup() {
    const panel = ref([0, 1]);
    const disabled = ref(false);
    const items = [
      {
        title: "Yetki Detaylı Filtrele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: RoleFilter,
      },
      {
        title: "Yetki Listesi",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: RoleList,
      },
      {
        title: "Yetki Ekle",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: RoleAdd,
      },
    ];
    return {
      panel,
      disabled,
      items,
    };
  }
};
</script>
<style scoped>
@import "@/assets/styles/custom/custom-input.css";

</style>